#### D.3.1.18 multcol

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  multcol(A,c,p); A matrix, p poly, c positive integer

Return:
  matrix, A being modified by multiplying column c by p

Example:

    LIB "matrix.lib";
    ring r=32003,(x,y,z),lp;
    matrix A[3][3]=1,2,3,4,5,6,7,8,9;
    print(A);
    ==> 1,2,3,
    ==> 4,5,6,
    ==> 7,8,9
    print(multcol(A,2,xy));
    ==> 1,2xy,3,
    ==> 4,5xy,6,
    ==> 7,8xy,9

User manual for Singular version 4.4.1, 2025, generated by texi2html.